register_bitmap_file_type(3)

NAME
register_bitmap_file_type - Registers custom bitmap loading/saving functions. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_bitmap_file_type(const char *ext, BITMAP *(*load)(const char *filename, RGB *pal), int (*save)(const char *filename, BITMAP *bmp, const RGB *pal));

DESCRIPTION
Informs the load_bitmap() and save_bitmap() functions of a new file type, providing routines to read and write images in this format (either function may be NULL). The functions you supply must follow the same prototype as load_bitmap() and save_bitmap(). Example:
   BITMAP *load_dump(const char *filename, RGB *pal)
   {
      ...
   }

   int save_dump(const char *filename, BITMAP *bmp, const RGB *pal)
   {
      ...
   }

      register_bitmap_file_type("dump", load_dump, save_dump);

SEE ALSO
load_bitmap(3), save_bitmap(3)